package cn.estsh.i3plus.ext.mes.api.base;

import cn.estsh.i3plus.ext.mes.pojo.bean.MesAntiStaticCheck;
import cn.estsh.i3plus.ext.mes.pojo.model.AntiStaticCheckModel;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;

/**
 * @author yumingxing
 * @version 1.0
 * @date 2021/2/5 15:41
 **/
public interface IAntiStaticCheckService {
    /**
     * 新增
     * @param antiStaticCheck
     * @return
     */
    MesAntiStaticCheck insert(MesAntiStaticCheck antiStaticCheck);
    /**
     * 修改
     * @param antiStaticCheck
     * @return
     */
    MesAntiStaticCheck  update(MesAntiStaticCheck antiStaticCheck);

    /**
     * 查询
     * @param antiStaticCheck
     * @param pager
     * @return
     */
    ListPager<AntiStaticCheckModel> queryByPager(MesAntiStaticCheck antiStaticCheck, Pager pager);

    /**
     * 根据
     * @param id
     * @param status
     * @return
     */
    int updateIsValidById(long id, Integer status);

}
