package cn.estsh.i3plus.ext.mes.api.busi.bu;

import cn.estsh.i3plus.ext.mes.pojo.bean.MesEmployeeAndProcessBind;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;

public interface IMesEmployeeAndProcessBindService {
    /**
     * 人员与工序关系分页查询
     * @param employeeAndProcessBind
     * @param pager
     * @param organizeCode
     * @return
     */
    ListPager getemployeeAndProcessBindPage(MesEmployeeAndProcessBind employeeAndProcessBind, Pager pager, String organizeCode);

    /**
     * 新增人员与工序关系
     * @param employeeAndProcessBind
     * @param organizeCode
     * @param userName
     */
    void insertEmployeeAndProcessBind(MesEmployeeAndProcessBind employeeAndProcessBind, String organizeCode, String userName);

    /**
     * 更新人员与工序关系
     * @param employeeAndProcessBind
     * @param organizeCode
     * @param userName
     */
    void updateEmployeeAndProcessBind(MesEmployeeAndProcessBind employeeAndProcessBind, String organizeCode, String userName);

    /**
     * 批量禁用/启用人员与工序关系
     *
     * @param ids      操作id
     * @param status   状态
     * @param userName 操作人
     * @return 操作数
     */
    int updateEmployeeAndProcessBindValidStatusByIds(Long[] ids, int status, String userName);
}
