package cn.estsh.i3plus.ext.mes.api.busi.jx;

import io.swagger.annotations.ApiOperation;

import java.util.Map;

/**
 * @Author: wangjie
 * @CreateDate: 2021/01/19 15:06 下午
 * @Description: 嘉兴产线运行看板
 **/
public interface IJxCenterWorkingBoardService {

    /**
     * 嘉兴产线运行看板
     * @param dataMap 参数数据
     * @return 产线运行看板数据
     */
    @ApiOperation(value = "嘉兴产线运行看板", notes = "嘉兴产线运行看板")
    default Map<String, Object> queryCenterWorkingBoardData(Map<String, Object> dataMap) { return dataMap; };

    /**
     * 清除产线运行看板数据无用数据
     * @param dataMap 数据
     * @return 产线运行看板数据
     */
    @ApiOperation(value = "清除产线运行看板数据无用数据", notes = "清除产线运行看板数据无用数据")
    default Map<String, Object> clearUselessData(Map<String, Object> dataMap) { return dataMap; }

    /**
     * 嘉兴产线运行看板缓存数据清除
     */
    @ApiOperation(value = "嘉兴产线运行看板缓存数据清除", notes = "嘉兴产线运行看板缓存数据清除")
    default Object execCachedCenterWorkingBoardData(String organizeCode, String flag, String item, Object data) { return null; }

}
