package cn.estsh.i3plus.ext.mes.apiservice.dao;


import cn.estsh.i3plus.ext.mes.pojo.model.SxRepairRecordReportModel;
import cn.estsh.i3plus.pojo.base.common.Pager;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Author: wangjie
 * @CreateDate: 2019/11/21 11:28 上午
 * @Description:
 **/
public interface ISxRepairRecordDao {

    /**
     * 查询修理品票明细数量
     * @param model 查询条件
     * @return 数量
     */
    @ApiOperation(value = "查询修理品票明细数量", notes = "查询修理品票明细数量")
    int queryRepairRecordByPagerCount(SxRepairRecordReportModel model);

    /**
     * 查询修理品票明细信息集合
     * @param model 查询条件
     * @param pager 分页条件
     * @return 修理品票明细信息集合
     */
    @ApiOperation(value = "查询修理品票明细信息集合", notes = "查询修理品票明细信息集合")
    List<SxRepairRecordReportModel> queryRepairRecordByPager(SxRepairRecordReportModel model, Pager pager);
}
