package cn.estsh.i3plus.ext.mes.apiservice.dao;

import cn.estsh.i3plus.ext.mes.pojo.model.UnWorkTimeStatisticsModel;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Author: wangjie
 * @CreateDate: 2019/11/21 11:28 上午
 * @Description:
 **/
public interface IUnWorkTimeStatisticsDao {

    /**
     * 查询非作业时间汇总信息集合
     * @param model 查询条件
     * @return 非作业时间汇总信息集合
     */
    @ApiOperation(value = "查询非作业时间汇总信息集合", notes = "查询非作业时间汇总信息集合")
    List<UnWorkTimeStatisticsModel> queryUnWorkTimeStatistics(UnWorkTimeStatisticsModel model);

    /**
     * 查询非作业时间类别统计信息集合
     * @param model
     * @return
     */
    @ApiOperation(value = "查询非作业时间类别统计信息集合", notes = "查询非作业时间类别统计信息集合")
    List<UnWorkTimeStatisticsModel> queryUnWorkTimeCategoryStatistics(UnWorkTimeStatisticsModel model);
}
