package cn.estsh.i3plus.ext.mes.apiservice.dao.jx;

import cn.estsh.i3plus.ext.mes.pojo.model.jx.JxManageCodeModel;
import cn.estsh.i3plus.ext.mes.pojo.model.jx.JxManageCodeResultModel;
import cn.estsh.i3plus.pojo.base.common.Pager;
import io.swagger.annotations.ApiOperation;

import java.util.List;

public interface IJxManageCodeReportDao {

    /**
     * 出货检验月报日报
     * @param model 查询条件
     * @return 出货检验报表信息集合
     */
    @ApiOperation(value = "管理码占用报表", notes = "管理码占用报表")
    List<JxManageCodeResultModel> queryManageCodeMcRecordReportPager(JxManageCodeModel model, Pager pager);

    /**
     * 出货检验月报日报
     * @param model 查询条件
     * @return 出货检验报表信息集合
     */
    @ApiOperation(value = "管理码占用报表", notes = "管理码占用报表")
    int queryManageCodeMcRecordReportPagerCount(JxManageCodeModel model);

}
