package cn.estsh.i3plus.ext.mes.icloud.sdk;

import cn.estsh.i3plus.ext.mes.icloud.sdkfallback.WmsPsPartFallbackFactory;
import cn.estsh.i3plus.ext.mes.pojo.model.WmsPsCheckModel;
import cn.estsh.i3plus.platform.common.util.CommonConstWords;
import cn.estsh.i3plus.pojo.base.bean.BaseResultBean;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(name = "i3wms", //对应配置文件中的spring.application.name
        path = CommonConstWords.WHITELIST_URL + "/ps-check",
        fallbackFactory = WmsPsPartFallbackFactory.class
)
public interface IWmsPsPartQueryCloud {
    @PostMapping(value = "/query")
    BaseResultBean queryPsPart(@RequestBody WmsPsCheckModel wmsPsCheckModel);
}
