package cn.estsh.i3plus.ext.mes.pojo.model;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author yumingxing
 * @version 1.0
 * @date 2021/1/27 17:42
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel("物料自动配置")
public class ExcelPartAutoLanded {

    @ApiParam("生产线代码")
    @AnnoOutputColumn(required = false)
    private String workCenterCode;

    @ApiParam("成品物料编码")
    @AnnoOutputColumn
    private String partNo;

}
