package cn.estsh.i3plus.ext.mes.pojo.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("返工条码信息model")
public class ProduceSnRepairModel implements Serializable {

    private static final long serialVersionUID = 5657163407571615430L;

    @ApiParam("id")
    private Long id;

    @ApiParam("产品条码")
    private String serialNumber;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("质量状态")
    private Integer qcStatus;

    @ApiParam("质量状态")
    private String qcStatusName;

    @ApiParam("条码状态")
    private Integer snStatus;

    @ApiParam("条码状态")
    private String snStatusName;

    @ApiParam("生产线")
    private String workCenterCode;

    @ApiParam("工位")
    private String workCellCode;

    @ApiParam("出产线时间")
    private String outWorkCenterTime;

    @ApiParam("生产工单号")
    private String workOrderNo;

    @ApiParam("条码类型")
    private Integer snType;

    @ApiParam("条码类型")
    private String snTypeName;

    @ApiParam("生产批次")
    private String lotNo;

    @ApiParam("生产日期")
    private String workTime;

    @ApiParam("班次代码")
    private String shiftCode;

    @ApiParam("班次名称")
    private String shiftName;

    @ApiParam("组织代码")
    public String organizeCode;

    @ApiParam("创建用户")
    public String createUser;

    @ApiParam("创建日期")
    public String createDatetime;

    @ApiParam("修改人")
    public String modifyUser;

    @ApiParam("修改日期")
    public String modifyDatetime;

    @ApiParam("创建日期开始")
    public String createDatetimeStart;

    @ApiParam("创建日期结束")
    public String createDatetimeEnd;

    @ApiParam("出产线时间开始")
    private String outWorkCenterTimeStart;

    @ApiParam("出产线时间结束")
    private String outWorkCenterTimeEnd;

    @ApiParam("生产日期开始")
    private String workTimeStart;

    @ApiParam("生产日期结束")
    private String workTimeEnd;

    public ProduceSnRepairModel() {}


    public ProduceSnRepairModel(String serialNumber, String partNo, String partNameRdd, Integer qcStatus, Integer snStatus,
                                String workCenterCode, String workCellCode, Integer snType, String outWorkCenterTime, String workOrderNo,
                                String lotNo, String workTime, String shiftCode, String createUser, String createDatetime, String modifyUser, String modifyDatetime, Long id) {
        this.serialNumber = serialNumber;
        this.partNo = partNo;
        this.partNameRdd = partNameRdd;
        this.qcStatus = qcStatus;
        this.snStatus = snStatus;
        this.workCenterCode = workCenterCode;
        this.workCellCode = workCellCode;
        this.snType = snType;
        this.outWorkCenterTime = outWorkCenterTime;
        this.workOrderNo = workOrderNo;
        this.lotNo = lotNo;
        this.workTime = workTime;
        this.shiftCode = shiftCode;
        this.createUser = createUser;
        this.createDatetime = createDatetime;
        this.modifyUser = modifyUser;
        this.modifyDatetime = modifyDatetime;
        this.id = id;
    }
}
