package cn.estsh.i3plus.ext.mes.pojo.model.bu3;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @DESCRIPTION:
 * @USER: wangjie
 * @DATE: 2022-11-01 15:54
 */
@Data
@ApiModel("生产实际台数MODEL")
public class SxProdDataScsjtsModel implements Serializable {

    private static final long serialVersionUID = 1250451811269644296L;

    @ApiParam("组织代码")
    public String organizeCode;

    @ApiParam("工厂代码")
    public String org;

    @ApiParam("组织名称")
    public String orgName;

    @ApiParam("生产线代码")
    private String workCenterCode;

    @ApiParam("生产线名称")
    private String workCenterName;

    @ApiParam("系别")
    private String isDont;

    @ApiParam("班别")
    private String dontClass;

    @ApiParam("班次代码")
    private String shiftCode;

    @ApiParam("班次名称")
    private String shiftName;

    @ApiParam("生产工单号")
    private String workOrderNo;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("工单类型")
    private Integer workOrderType;

    @ApiParam("工单类型名称")
    private String workOrderTypeName;

    @ApiParam("工单计划数量")
    private Double planQty;

    @ApiParam("工单计划数量")
    private Integer planQtyInt;

    @ApiParam("产量")
    private Double qty;

    @ApiParam("产量")
    private Integer qtyInt;

    @ApiParam("生产日期")
    private String workTime;

    @ApiParam("更新时间")
    private String modifyDatetime;

    public SxProdDataScsjtsModel() {}

    public SxProdDataScsjtsModel(String org, String orgName) {
        this.org = org;
        this.orgName = orgName;
    }
}
