package cn.estsh.i3plus.ext.mes.pojo.model.jx;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("嘉兴工程不良实绩报表Model")
public class JxProjectBadPerformanceReportModel implements Serializable {

    private static final long serialVersionUID = 4014662051649634949L;

    @ApiParam("table动态列名")
    private List<SxDynamicAttributeModel> attributeList = new ArrayList<>();

    @ApiParam("table数据")
    private List<Map<String, Object>> dataList;

    public JxProjectBadPerformanceReportModel addAttribute(SxDynamicAttributeModel attribute) {
        this.attributeList.add(attribute);
        return this;
    }

}
