package cn.estsh.i3plus.ext.mes.api.base;

import cn.estsh.i3plus.ext.mes.pojo.bean.MesAntiStaticCheckDetail;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;

import java.util.List;

/**
 * @author yumingxing
 * @version 1.0
 * @date 2021/2/5 15:41
 **/
public interface IAntiStaticCheckDetailService {
    /**
     * 转变集团检查更新
     * 新增
     *
     * @return int
     */
    void shiftGroupCheckUpdate(List<MesAntiStaticCheckDetail> details);

    /**
     * 质量检查更新
     * 修改
     *
     * @return int
     */
    void qualityCheckUpdate(List<MesAntiStaticCheckDetail> details);

    /**
     * 查询
     * @param detail
     * @param pager
     * @return
     */
    ListPager<MesAntiStaticCheckDetail> queryByPager(MesAntiStaticCheckDetail detail, Pager pager);

    /**
     * 根据
     * @param id
     * @param status
     * @return
     */
    int updateIsValidById(long id, Integer status);
}
