package cn.estsh.i3plus.ext.mes.api.busi.bu;

import cn.estsh.i3plus.ext.mes.pojo.model.bu.MesSkillLevelNumberModel;
import cn.estsh.i3plus.ext.mes.pojo.model.bu.PersonnelSkillsKanbanDataModel;
import cn.estsh.i3plus.pojo.base.common.Pager;

import java.util.List;

public interface IMesPersonnelSkillsKanbanService {
    /**
     * 技能水平人数查询
     * @param workCenterCode
     * @param organizeCode
     * @return
     */
    List<MesSkillLevelNumberModel> getSkillLevelNumber(String workCenterCode, String organizeCode);

    /**
     * 人员查询
     * @param workCenterCode
     * @param organizeCode
     * @return
     */
    List getPeople(String workCenterCode, String organizeCode);

    /**
     * 表格数据查询
     * @param workCenterCode
     * @param organizeCode
     * @return
     */
    PersonnelSkillsKanbanDataModel getTableData(String workCenterCode, String organizeCode, Pager pager);

    /**
     * 查询看板基础数据
     * @param workCenterCode
     * @param organizeCode
     * @return
     */
    Object getBaseData(String workCenterCode, String organizeCode);
}
