package cn.estsh.i3plus.ext.mes.apiservice.dao;

import cn.estsh.i3plus.ext.mes.pojo.model.ProduceSnRepairModel;
import cn.estsh.i3plus.pojo.base.common.Pager;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Author: wangjie
 * @CreateDate: 2019/11/21 11:28 上午
 * @Description:
 **/
public interface IProduceSnRepairDao {

    /**
     * 查询返工条码数量
     * @param model 查询条件
     * @return 返工条码数量
     */
    @ApiOperation(value = "查询返工条码数量", notes = "查询返工条码数量")
    int queryProduceSnRepairByPagerCount(ProduceSnRepairModel model);

    /**
     * 查询返工条码集合
     * @param model 查询条件
     * @param pager 分页条件
     * @return 返工条码信息集合
     */
    @ApiOperation(value = "查询返工条码集合", notes = "查询返工条码集合")
    List<ProduceSnRepairModel> queryProduceSnRepairByPager(ProduceSnRepairModel model, Pager pager);

}
