package cn.estsh.i3plus.ext.mes.apiservice.dao.ep;


import cn.estsh.i3plus.ext.mes.pojo.bean.MesPartExt;
import cn.estsh.i3plus.ext.mes.pojo.model.ep.EpPartExtModel;
import cn.estsh.i3plus.pojo.base.common.Pager;

import java.util.List;

/**
 * @Description : MES物料信息Dao
 * @Reference :
 * @Author : xiangming.liao
 * @CreateDate : 2020-02-21
 * @Modify:
 **/
public interface IEpPartExtDao {

    /**
     * 查询物料信息数量
     * @param partExt 物料信息
     * @return 数量
     */
    int queryPartByPagerCount(MesPartExt partExt);

    /**
     * 查询物料信息集合
     * @param partExt 查询条件
     * @param pager 分页条件
     * @return 物料信息集合
     */
    List<EpPartExtModel> queryPartByPager(MesPartExt partExt, Pager pager);
}
