package cn.estsh.i3plus.ext.mes.icloud.sdk;

import cn.estsh.i3plus.ext.mes.icloud.sdkfallback.WmsStockSnFallbackFactory;
import cn.estsh.i3plus.platform.common.util.CommonConstWords;
import cn.estsh.i3plus.pojo.base.bean.BaseResultBean;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(name = "i3wms", //对应配置文件中的spring.application.name
        path = CommonConstWords.WHITELIST_URL + "/sn",
        fallbackFactory = WmsStockSnFallbackFactory.class
)
public interface IWmsStockSnCloud {
    @GetMapping(value = "/find-part-no")
    BaseResultBean getPartNoBySn(@RequestParam("sn") String sn,@RequestParam("organizeCode") String organizeCode);
}
