package cn.estsh.i3plus.ext.mes.pojo.model;

import cn.estsh.i3plus.ext.mes.pojo.bean.MesWorkOrderExt;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.ColumnDefault;

import javax.persistence.Column;
import java.util.List;
import java.util.Map;

/**
 * 文件描述
 *
 * @author xiangming.liao
 * @date 2021年08月20日 13:36
 */
@Data
@ApiModel("看板柱状图model")
public class MesHistogramModel {
    @ApiParam("物料号")
    private String partNo;

    @ColumnDefault("0")
    @ApiParam("计划数量")
    private Double qty;

    @ColumnDefault("0")
    @ApiParam("实绩数量")
    private Double completeQty;

    @ColumnDefault("0")
    @ApiParam("工单序号")
    private Double seq;
}
