package cn.estsh.i3plus.ext.mes.pojo.model.bu3;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @DESCRIPTION:
 * @USER: wangjie
 * @DATE: 2022-11-01 15:54
 */
@Data
@ApiModel("产量统计查询参数MODEL")
public class SxProdDataToStatisticsOutPutParamModel implements Serializable {

    private static final long serialVersionUID = -1370234170731689870L;

    @ApiParam("组织代码")
    public String organizeCode;

    @ApiParam("数据KEY")
    private String dataKey;

    @ApiParam("数据时间维度")
    private String dataType;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("班次代码")
    private String shiftCode;

    @ApiParam("统计日期")
    private String statisticsDate;

    @ApiParam("工作中心代码")
    private String workCenterCode;

    @ApiParam("作业时间")
    private String workTime;

    @ApiParam("工单类型代码-正常/试制/返工")
    private Integer workOrderType;

    @ApiParam("事业别")
    public String careerCode;

    @ApiParam(value = "产品类别代码")
    public String categoryCode;


}
